Page MenuHomePhabricator

setup.py sdist gives different egg-info for pypi package
Closed, ResolvedPublic

Description

Die Creating pypi package with setup.py sdist gives different egg-info which depends on running Python 2 or Python 3.

Here are the differences:

File: PKG-INFO

itemPython 2Python 3
Metadata-Version1.22.1
Authorship KeywordAuthorMaintainer
Mail KeywordAuthor-emailMaintainer-email
Provides-Extra-flickrripper.py
mwparserfromhell
Graphviz
eventstreams
isbn
Google
weblinkchecker.py
http
Tkinter
security
patrol.py
html
states_redirect.py
mwoauth
flake8

(no glue what "Provides-Extra" means)

File: requires.txt

itemPython 2Python 3
requirementsipaddr>=2.1.10-
pathlib
TkinterPillow<7.0.0Pillow
csvunicodecsv-
flake8pydocstyle<=3.0.0pydocstyle>=3.0.0
flickkripper.pyPillow<7.0.0Pillow

Note: All packages up to 3.0.20190430 where created with Python 2.7

Details

Related Gerrit Patches:

Event Timeline

Xqt created this task.Jul 7 2019, 3:54 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJul 7 2019, 3:54 PM
Xqt updated the task description. (Show Details)Jul 18 2019, 5:40 AM
Xqt added a subscriber: Dalba.
Xqt triaged this task as Medium priority.Jul 22 2019, 1:36 PM

Change 524793 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [setup] Combine setup requirements for different python versions

https://gerrit.wikimedia.org/r/524793

Change 524793 merged by jenkins-bot:
[pywikibot/core@master] [setup] Combine setup requirements for different python versions

https://gerrit.wikimedia.org/r/524793

Xqt closed this task as Resolved.Jul 24 2019, 6:21 AM
Xqt claimed this task.